OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.NV.QueryResource

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVQueryResource :: MonadIO m => m Bool
- gl_NV_query_resource :: Bool
- pattern GL_QUERY_RESOURCE_BUFFEROBJECT_NV :: GLenum
- pattern GL_QUERY_RESOURCE_MEMTYPE_VIDMEM_NV :: GLenum
- pattern GL_QUERY_RESOURCE_RENDERBUFFER_NV :: GLenum
- pattern GL_QUERY_RESOURCE_SYS_RESERVED_NV :: GLenum
- pattern GL_QUERY_RESOURCE_TEXTURE_NV :: GLenum
- pattern GL_QUERY_RESOURCE_TYPE_VIDMEM_ALLOC_NV :: GLenum
- glQueryResourceNV :: MonadIO m => GLenum -> GLint -> GLuint -> Ptr GLint -> m GLint

# Extension Support

glGetNVQueryResource :: MonadIO m => m Bool Source #

Is the NV_query_resource extension supported?

gl_NV_query_resource :: Bool Source #

Is the NV_query_resource extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVQueryResource` in those cases instead.

# Enums

pattern GL_QUERY_RESOURCE_BUFFEROBJECT_NV :: GLenum Source #

pattern GL_QUERY_RESOURCE_MEMTYPE_VIDMEM_NV :: GLenum Source #

pattern GL_QUERY_RESOURCE_RENDERBUFFER_NV :: GLenum Source #

pattern GL_QUERY_RESOURCE_SYS_RESERVED_NV :: GLenum Source #

pattern GL_QUERY_RESOURCE_TEXTURE_NV :: GLenum Source #

pattern GL_QUERY_RESOURCE_TYPE_VIDMEM_ALLOC_NV :: GLenum Source #

# Functions

glQueryResourceNV Source #

Arguments

:: MonadIO m |
=> GLenum | `queryType`.
-> GLint | `tagId`.
-> GLuint | `count`.
-> Ptr GLint | `buffer` pointing to `count` elements of type `GLint`.
-> m GLint |